Bug 106393 - jfs filesystems lock up, processes go uninterruptable sleep, load climbs, system hangs
jfs filesystems lock up, processes go uninterruptable sleep, load climbs, sys...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 14:08 EDT by John Jasen
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Jasen 2003-10-06 14:08:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
have /tmp as a jfs filesystem. On rare occasions, when the backups run, too many
resource forks are opened or some other magic condition, and /tmp justs stops
answering.

Processes using /tmp hang and are unkillable, /tmp can't be unmounted cleanly,
sometimes even fails a sysrq sync and unmount.

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.7smp

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
cd to a jfs mount point, run this script:
#!/bin/bash

let LOOP0=0
let LOOP1=1
while /bin/true; do
  echo $LOOP0 ":" $LOOP1
  touch file$LOOP0$LOOP1
  mkdir dir$LOOP1$LOOP0
  let LOOP0+=1
  let LOOP1+=1
done

wait for the script to hang ... see if you can access that filesystem.

Actual Results:  ran it on /tmp. It hung, required a reboot. 



Expected Results:  when I reformatted /tmp as ext2, it died cleanly when it
couldn't create any more directories.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.